apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  namespace: monitoring
  name: prometheus-auth
  annotations:
    nginx.ingress.kubernetes.io/configuration-snippet: |
      set $proxy_upstream_name "ingress-nginx-oauth2-proxy-4180";
spec:
  tls:
    - hosts:
        - prometheus.z8s.zooxlabs.com
  rules:
  - host: prometheus.z8s.zooxlabs.com
    http:
      paths:
      - path: /oauth2
        backend:
          serviceName: prometheus
          servicePort: 9090
